@import "../global.scss";
@import "../custom-variables";

@mixin mat-custom-card-theme($theme) {
  $accent: map-get($theme, accent);
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);

  .mat-card {
    border: 0.0625rem solid mat-color($accent, 300);
    border-radius: 0.5rem;
    padding: 1rem 1rem;

    &:not([class*="mat-elevation-z"]) {
      box-shadow: none;
    }

    .mat-card-header {
      padding: 0 0rem;
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin-bottom: 0.75rem;

      .mat-card-header-text {
        margin: 0;

        .mat-card-title {
          margin-top: 0;
          margin-bottom: 0.625rem;
          font-size: 1rem;
          font-style: normal;
          font-weight: 600;
          line-height: 1.5rem;
          letter-spacing: 0;
          color: mat-color($accent, 900);
        }
        .mat-card-subtitle {
          margin-bottom: 0;
          font-size: 0.875rem;
          font-weight: 400;
          line-height: 1.25rem;
          letter-spacing: 0;
          color: mat-color($accent, 700);
        }
      }

      & > div:not(.mat-card-header-text){
        display: flex;
        button + button {
          margin-left: 0.5rem;
        }
      }
    }

    .mat-card-content,
    .card-footer {
      overflow-x: hidden;
    }

    .mat-card-content {
      color: $grey-7;
      font-size: 0.875rem;
    }

    .mat-card-footer {
      margin: 0 0 0 0;
      display: flex;
      button + button{
        margin-left: 0.5rem;
      }
    }
  }
}
